> ## Documentation Index
> Fetch the complete documentation index at: https://docs.conductor.is/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an end-user

> Retrieves an end-user object.



## OpenAPI

````yaml GET /end-users/{id}
openapi: 3.1.0
info:
  title: Conductor API
  version: 0.0.1
servers:
  - url: https://api.conductor.is/v1
security:
  - BearerAuth: []
paths:
  /end-users/{id}:
    get:
      summary: Retrieve an end-user
      description: Retrieves an end-user object.
      parameters:
        - in: path
          name: id
          description: The ID of the end-user to retrieve.
          schema:
            type: string
            description: The ID of the end-user to retrieve.
            example: end_usr_1234567abcdefg
          required: true
      responses:
        '200':
          description: Returns the end-user object if a valid ID was provided.
          headers:
            Conductor-Request-Id:
              schema:
                type: string
                description: The unique identifier for this API request.
                example: req_1234567abcdefg
              required: true
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/end_user'
      security:
        - BearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Conductor from 'conductor-node';


            const conductor = new Conductor({
              apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
            });


            const endUser = await
            conductor.endUsers.retrieve('end_usr_1234567abcdefg');


            console.log(endUser.id);
        - lang: Python
          source: |-
            import os
            from conductor import Conductor

            conductor = Conductor(
                api_key=os.environ.get("CONDUCTOR_SECRET_KEY"),  # This is the default and can be omitted
            )
            end_user = conductor.end_users.retrieve(
                "end_usr_1234567abcdefg",
            )
            print(end_user.id)
components:
  schemas:
    end_user:
      type: object
      properties:
        id:
          type: string
          description: >-
            The unique identifier for this end-user. You must save this value to
            your database because it is how you identify which of your users to
            receive your API requests.
          example: end_usr_1234567abcdefg
        objectType:
          type: string
          const: end_user
          description: The type of object. This value is always `"end_user"`.
          example: end_user
        createdAt:
          type: string
          description: The date and time when this end-user record was created.
          example: '2024-01-01T12:34:56.789Z'
        companyName:
          type: string
          description: >-
            The end-user's company name that will be shown elsewhere in
            Conductor.
          example: Acme Inc.
        sourceId:
          type: string
          description: >-
            The end-user's unique identifier from your system. Maps users
            between your database and Conductor.
          example: 12345678-abcd-abcd-example-1234567890ab
        email:
          type: string
          description: The end-user's email address for identification purposes.
          example: bob@acme.com
        integrationConnections:
          type: array
          items:
            $ref: '#/components/schemas/integration_connection'
          description: The end-user's integration connections.
      required:
        - id
        - objectType
        - createdAt
        - companyName
        - sourceId
        - email
        - integrationConnections
    integration_connection:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier for this integration connection.
          example: int_conn_1234567abcdefg
        objectType:
          type: string
          const: integration_connection
          description: The type of object. This value is always `"integration_connection"`.
          example: integration_connection
        createdAt:
          type: string
          description: >-
            The date and time when this integration connection record was
            created.
          example: '2024-01-01T12:34:56.789Z'
        integrationSlug:
          type: string
          enum:
            - quickbooks_desktop
          description: The identifier of the third-party platform to integrate.
        lastRequestAt:
          type:
            - string
            - 'null'
          description: >-
            The date and time of your last API request to this integration
            connection.
          example: '2024-01-01T12:34:56.789Z'
        lastSuccessfulRequestAt:
          type:
            - string
            - 'null'
          description: >-
            The date and time of your last *successful* API request to this
            integration connection. A successful request means the integration
            fully processed and returned a response without any errors
            end-to-end.
          example: '2024-01-01T12:34:56.789Z'
      required:
        - id
        - objectType
        - createdAt
        - integrationSlug
        - lastRequestAt
        - lastSuccessfulRequestAt
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your Conductor secret key using Bearer auth (e.g., `"Authorization:
        Bearer {{YOUR_SECRET_KEY}}"`).

````

Built with [Mintlify](https://mintlify.com).